Skip to main content
`Ctrl`+`K`

# PetscSectionSetConstraintIndices

Set the point dof numbers, in [0, dof), which are constrained

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSetConstraintIndices(PetscSection s, PetscInt point, const PetscInt indices[])

Not Collective

## Input Parameters

- s - The `PetscSection`

- point - The point

- indices - The constrained dofs

## See Also

PetscSection, `PetscSectionGetConstraintIndices()`, `PetscSectionGetConstraintDof()`, `PetscSection`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages